Index: main/app.c
===================================================================
--- main/app.c	(revision 104080)
+++ main/app.c	(working copy)
@@ -215,6 +215,7 @@
 {
 	const char *ptr;
 	int res = 0;
+	struct ast_silence_generator *silgen = NULL;
 
 	if (!between)
 		between = 100;
@@ -229,6 +230,8 @@
 	if (res < 0)
 		return res;
 
+	silgen = ast_channel_start_silence_generator(chan);
+
 	for (ptr = digits; *ptr; ptr++) {
 		if (*ptr == 'w') {
 			/* 'w' -- wait half a second */
@@ -255,6 +258,9 @@
 			res = -1;
 	}
 
+	if (silgen)
+		ast_channel_stop_silence_generator(chan, silgen);
+
 	return res;
 }
 
